Subject: [kitten] Draft Action: draft-vanrein-dnstxt-krb1-01

From: Rick van Rein <[email-masked]>
Date: Mon, 17 Nov 2014 23:20:18 +0100

Hello,

Thanks all for your feedback on the DNS TXT proposal for Kerberos realm names.  I’ve used it for
http://tools.ietf.org/html/draft-vanrein-dnstxt-krb1-01

CHANGES FROM 00 TO 01:
* Introduced KREALM RRtype to replace overloading of the TXT RRtype
* Switched from an ASCII grammar to an ASN.1 grammar for KREALM RDATA
* Switched from case-independent ASCII values to full UTF8String values
* Proposed base64 representation in master files for KREALM RDATA

I switched to an ASN.1 format that is easier to process by Kerberos, as well as to give structure.
Entry in master zone files would be as base64, which is clearly non-optimal, but parsing text isn’t either.
I don’t know what’s best here, I suppose it’s a matter of taste.

As before, feedback is welcome :) and I will also forward it to DNS lists this time.

Cheers,
 -Rick